import angular from 'angular';
import ExpanderComponent from './expander/expander.component';
import ExpanderController from './expander/expander.controller';
import FooterDirective from './footer/ws-footer';
import ModalController from './modal/ws-modal.controller';
import ModalService from './modal/ws-modal.service';
import NotificationDirective from './notifications/ws-notification';
import SecondaryNavDirective from './secondary-nav/ws-secondary-nav';

const injectorName = 'ws.common.layout';
export default injectorName;

angular.module(injectorName, [])
  .component('wsExpander', ExpanderComponent)
  .controller('wsExpanderController', ExpanderController)
  .directive('wsFooter', FooterDirective)
  .controller('wsModalController', ModalController)
  .service('wsModalService', ModalService)
  .directive('wsNotification', NotificationDirective)
  .directive('wsSecondaryNav', SecondaryNavDirective);
